| Boost.Hana 1.7.1 Your standard library for metaprogramming |

Namespaces | Variables
take_front.hpp File Reference

Forward declares `boost::hana::take_front` and `boost::hana::take_front_c`. More...

## Namespaces
| boost::hana
| Namespace containing everything in the library.

## Variables
constexpr auto | boost::hana::take_front
| Returns the first `n` elements of a sequence, or the whole sequence if the sequence has less than `n` elements. More...
template<std::size_t n>
constexpr auto | boost::hana::take_front_c
| Equivalent to `take_front`; provided for convenience. More...

## Detailed Description

Forward declares `boost::hana::take_front` and `boost::hana::take_front_c`.

Copyright
  Louis Dionne 2013-2017 Distributed under the Boost Software License, Version 1.0. (See accompanying file LICENSE.md or copy at http://boost.org/LICENSE_1_0.txt)